//==========================================================================
//
//      h8300sim_flash.c
//
//      Flash programming for H8/300 simulator (debug)
//
//==========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//==========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):    yoshinori sato
// Contributors: yoshinori sato
// Date:         2004-04-02
// Purpose:      
// Description:  
//              
//####DESCRIPTIONEND####
//
//==========================================================================

#define CYGNUM_FLASH_WIDTH (16)
#define CYGNUM_FLASH_INTERLEAVE (1)
#define CYGNUM_FLASH_BASE (0)
#define CYGNUM_FLASH_INTERLEAVE (1)

#define CYGHWR_FLASH_H8300_PLF_INIT() h8300_plf_flash_init()

#define H8300_NMI_DISABLE() do {} while(0);
#define H8300_NMI_ENABLE() do {} while(0);

#include <cyg/infra/cyg_type.h>
#include <cyg/hal/var_arch.h>

CYG_ADDRWORD h8300_plf_flash_init(void)
{
    *(volatile char *)CYGARC_FCCS = 0x80;
    return (CYG_ADDRWORD)0xffbf20;
}

#define SIM_DEBUG
#include "cyg/io/flash_h8300progs.inl"


// ------------------------------------------------------------------------
// EOF h8300sim_flash.c
