#ifndef CYGONCE_MOD_REGS_FLASH_H
#define CYGONCE_MOD_REGS_FLASH_H

//==========================================================================
//
//      mod_regs_flash.h
//
//      Flash memory Controler Register
//
//==========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//==========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):    yoshinori sato
// Contributors: yoshinori sato
// Date:         2004-04-02
//              
//####DESCRIPTIONEND####
//
//==========================================================================

#define CYGARC_FCCS   0xFEE0B0
#define CYGARC_FPCS   0xFEE0B1
#define CYGARC_FECS   0xFEE0B2
#define CYGARC_FKEY   0xFEE0B4
#define CYGARC_FMATS  0xFEE0B5
#define CYGARC_FTDAR  0xFEE0B6
#define CYGARC_FVACR  0xFEE0B7
#define CYGARC_FVADRR  0xFEE0B8
#define CYGARC_FVADRE  0xFEE0B9
#define CYGARC_FVADRH  0xFEE0BA
#define CYGARC_FVADRL  0xFEE0BB

#endif
