//=============================================================================
//
//      mod_regs_bsc_3.h
//
//      BSC (bus state controller) Module (type 3)register definitions
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   ysato
// Contributors:ysato
// Date:        2004-12-16
//              
//####DESCRIPTIONEND####
//
//=============================================================================

//--------------------------------------------------------------------------
// Register definitions
#define CYGARC_REG_CMNCR                0xfffc0000
#define CYGARC_REG_CS0BCR               0xfffc0004
#define CYGARC_REG_CS1BCR               0xfffc0008
#define CYGARC_REG_CS2BCR               0xfffc000c
#define CYGARC_REG_CS3BCR               0xfffc0010
#define CYGARC_REG_CS4BCR               0xfffc0014
#define CYGARC_REG_CS5BCR               0xfffc0018
#define CYGARC_REG_CS6BCR               0xfffc001c
#define CYGARC_REG_CS7BCR               0xfffc0020
#define CYGARC_REG_CS8BCR               0xfffc0024
#define CYGARC_REG_CS0WCR               0xfffc0028
#define CYGARC_REG_CS1WCR               0xfffc002c
#define CYGARC_REG_CS2WCR               0xfffc0030
#define CYGARC_REG_CS3WCR               0xfffc0034
#define CYGARC_REG_CS4WCR               0xfffc0038
#define CYGARC_REG_CS5WCR               0xfffc003c
#define CYGARC_REG_CS6WCR               0xfffc0040
#define CYGARC_REG_CS7WCR               0xfffc0044
#define CYGARC_REG_CS8WCR               0xfffc0048
#define CYGARC_REG_SDCR                 0xfffc004c
#define CYGARC_REG_RTCSR                0xfffc0050
#define CYGARC_REG_RTCNT                0xfffc0054
#define CYGARC_REG_RTCOR                0xfffc0058

