//=============================================================================
//
//      mod_regs_pcm_2.h
//
//      Power Control Module (PCM) register (type 2) definitions
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   ysato
// Contributors:ysato
// Date:        2004-12-15
//              
//####DESCRIPTIONEND####
//
//=============================================================================

//--------------------------------------------------------------------------
#define CYGARC_REG_STBCR               0xfffe0014 // 8 bit
#define CYGARC_REG_STBCR2              0xfffe0018 // 8 bit
#define CYGARC_REG_STBCR3              0xfffe0408 // 8 bit
#define CYGARC_REG_STBCR4              0xfffe040c // 8 bit
#define CYGARC_REG_SYSCR1              0xfffe0402 // 8 bit
#define CYGARC_REG_SYSCR2              0xfffe0404 // 8 bit

#define CYGARC_REG_STBY                0x80

#define CYGARC_REG_MSTP10              0x80
#define CYGARC_REG_MSTP9               0x40
#define CYGARC_REG_MSTP8               0x20

#define CYGARC_REG_HIZ                 0x80
#define CYGARC_REG_MSTP36              0x40
#define CYGARC_REG_MSTP35              0x20
#define CYGARC_REG_MSTP34              0x10
#define CYGARC_REG_MSTP33              0x08
#define CYGARC_REG_MSTP32              0x04
#define CYGARC_REG_MSTP31              0x02
#define CYGARC_REG_MSTP30              0x01

#define CYGARC_REG_MSTP47              0x80
#define CYGARC_REG_MSTP46              0x40
#define CYGARC_REG_MSTP45              0x20
#define CYGARC_REG_MSTP44              0x10
#define CYGARC_REG_MSTP42              0x04
