//=============================================================================
//
//      mod_regs_pfc_3.h
//
//      PFC (pin function controller) Module (type 3) register definitions
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   ysato
// Contributors:ysato
// Date:        2004-12-16
//              
//####DESCRIPTIONEND####
//
//=============================================================================

#define CYGARC_REG_PAIORH                0xfffe3804
#define CYGARC_REG_PAIORL                0xfffe3806
#define CYGARC_REG_PACRH3                0xfffe380a
#define CYGARC_REG_PACRH2                0xfffe380c
#define CYGARC_REG_PACRH1                0xfffe380e
#define CYGARC_REG_PACRL4                0xfffe3810
#define CYGARC_REG_PACRL3                0xfffe3812
#define CYGARC_REG_PACRL2                0xfffe3814
#define CYGARC_REG_PACRL1                0xfffe3816

#define CYGARC_REG_PBIOR                 0xfffe3886
#define CYGARC_REG_PBCR3                 0xfffe3892
#define CYGARC_REG_PBCR2                 0xfffe3894
#define CYGARC_REG_PBCR1                 0xfffe3896

#define CYGARC_REG_PCIORL                0xfffe3906
#define CYGARC_REG_PCCRL1                0xfffe3916

#define CYGARC_REG_PDIORH                0xfffe3984
#define CYGARC_REG_PDIORL                0xfffe3986
#define CYGARC_REG_PDCRH4                0xfffe3988
#define CYGARC_REG_PDCRH3                0xfffe398a
#define CYGARC_REG_PDCRH2                0xfffe308c
#define CYGARC_REG_PDCRH1                0xfffe398e
#define CYGARC_REG_PDCRL4                0xfffe3990
#define CYGARC_REG_PDCRL3                0xfffe3992

#define CYGARC_REG_PEIORH                0xfffe3a04
#define CYGARC_REG_PEIORL                0xfffe3a06
#define CYGARC_REG_PECRH1                0xfffe3a0e
#define CYGARC_REG_PECRL4                0xfffe3a10
#define CYGARC_REG_PECRL3                0xfffe3a12
#define CYGARC_REG_PECRL2                0xfffe3a14
#define CYGARC_REG_PECRL1                0xfffe3a16

#define CYGARC_REG_IFCR                  0xfffe3a22


#define CYGARC_REG_PADRH                 0xfffe3800
#define CYGARC_REG_PADRL                 0xfffe3802
#define CYGARC_REG_PAPRH                 0xfffe381c
#define CYGARC_REG_PAPRL                 0xfffe381e

#define CYGARC_REG_PBDR                  0xfffe3882
#define CYGARC_REG_PBPR                  0xfffe389e

#define CYGARC_REG_PCDRL                 0xfffe3902
#define CYGARC_REG_PCPRL                 0xfffe391e

#define CYGARC_REG_PDDRH                 0xfffe3980
#define CYGARC_REG_PDDRL                 0xfffe3982
#define CYGARC_REG_PDPRH                 0xfffe399c
#define CYGARC_REG_PDPRL                 0xfffe399e

#define CYGARC_REG_PEDRH                 0xfffe3a00
#define CYGARC_REG_PEDRL                 0xfffe3a02
#define CYGARC_REG_PEPRH                 0xfffe3a1c
#define CYGARC_REG_PEPRL                 0xfffe3a1e

#define CYGARC_REG_PFDR                  0xfffe3a82
